com.microfocus.zserver.zexplorer.ui.internal

## Class ZServerPasswordPromptDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.TrayDialog
      - - org.eclipse.jface.dialogs.TitleAreaDialog
        - - com.microfocus.zserver.zexplorer.ui.internal.ZServerPasswordPromptDialog

- All Implemented Interfaces:
    org.eclipse.jface.window.IShellProvider

      public class ZServerPasswordPromptDialog
      extends org.eclipse.jface.dialogs.TitleAreaDialog

  Dialog to prompt for mainframe user ID and password.
  Author:
    RalfP

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

      `org.eclipse.jface.window.Window.IExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

      `DLG_IMG_TITLE_BANNER, DLG_IMG_TITLE_ERROR, INFO_MESSAGE, WARNING_MESSAGE`

    - ### Fields inherited from class org.eclipse.jface.dialogs.Dialog

      `blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

    - ### Fields inherited from class org.eclipse.jface.window.Window

      `CANCEL, OK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZServerPasswordPromptDialog(org.eclipse.swt.widgets.Shell pParentShell)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getForceToUpperCase()`
    `boolean` | `getIsSavePassword()`
    `boolean` | `getIsUserIdChanged()`
    `boolean` | `getIsUserIdChangePermanent()`
    `java.lang.String` | `getPassword()`
    `java.lang.String` | `getUserId()`
    `void` | `setForceToUpperCase(boolean pForce)`
    `void` | `setPassword(java.lang.String pPassword)`
    `void` | `setPasswordValidator(ISystemValidator pV)`
    `void` | `setSavePassword(boolean pSave)`
    `void` | `setSignonValidator(ICredentialsValidator pV)`
    `void` | `setSystemInput(IConnectorService pSystemObject)`
    `void` | `setUserIdValidator(ISystemValidator pV)`
    `boolean` | `wasCancelled()`

    - ### Methods inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

      `getErrorMessage, getMessage, setErrorMessage, setMessage, setMessage, setTitle, setTitleAreaColor, setTitleImage`

    - ### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

      `closeTray, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

    - ### Methods inherited from class org.eclipse.jface.dialogs.Dialog

      `applyDialogFont, close, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText`

    - ### Methods inherited from class org.eclipse.jface.window.Window

      `getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZServerPasswordPromptDialog

          public ZServerPasswordPromptDialog(org.eclipse.swt.widgets.Shell pParentShell)

      Constructor.
      Parameters:
        `pParentShell` - the parent shell

  - ### Method Detail

    - #### setSystemInput

          public void setSystemInput(IConnectorService pSystemObject)

    - #### wasCancelled

          public boolean wasCancelled()

    - #### setUserIdValidator

          public void setUserIdValidator(ISystemValidator pV)

    - #### setPasswordValidator

          public void setPasswordValidator(ISystemValidator pV)

    - #### setSignonValidator

          public void setSignonValidator(ICredentialsValidator pV)

    - #### setForceToUpperCase

          public void setForceToUpperCase(boolean pForce)

    - #### getForceToUpperCase

          public boolean getForceToUpperCase()

    - #### getUserId

          public java.lang.String getUserId()

    - #### getPassword

          public java.lang.String getPassword()

    - #### setPassword

          public void setPassword(java.lang.String pPassword)

    - #### setSavePassword

          public void setSavePassword(boolean pSave)

    - #### getIsUserIdChanged

          public boolean getIsUserIdChanged()

    - #### getIsUserIdChangePermanent

          public boolean getIsUserIdChangePermanent()

    - #### getIsSavePassword

          public boolean getIsSavePassword()

Copyright © 2015 Micro Focus GmbH. All rights reserved.